{
  "id": "a13179ac029c4de3d3d633fc",
  "source": "solid:signals",
  "type": "github-document",
  "title": "entry-server",
  "content": "---\ntitle: entry-server.tsx\nuse_cases: \u003e-\n  server initialization, ssr setup, html document structure, meta tags, server\n  bootstrap\ntags:\n  - entry\n  - server\n  - ssr\n  - initialization\n  - document\n  - html\nversion: '1.0'\ndescription: \u003e-\n  Define server entry point and HTML document structure for SolidStart.\n  Configure SSR modes and set up server-side rendering bootstrap.\n---\n\n`entry-server.tsx` is where an application starts on the server.\nThis happens by `entry-server.tsx` providing a document component to [`\u003cStartServer\u003e`](/solid-start/reference/server/start-server) and passing it into [`createHandler`](/solid-start/reference/server/create-handler) for server side rendering.\n A typical `entry-server.tsx` for a new project looks like this:\n\n```tsx\nimport { createHandler, StartServer } from \"@solidjs/start/server\";\n\nexport default createHandler(() =\u003e (\n\t\u003cStartServer\n\t\tdocument={({ assets, children, scripts }) =\u003e (\n\t\t\t\u003chtml lang=\"en\"\u003e\n\t\t\t\t\u003chead\u003e\n\t\t\t\t\t\u003cmeta charset=\"utf-8\" /\u003e\n\t\t\t\t\t\u003cmeta name=\"viewport\" content=\"width=device-width, initial-scale=1\" /\u003e\n\t\t\t\t\t\u003clink rel=\"icon\" href=\"/favicon.ico\" /\u003e\n\t\t\t\t\t{assets}\n\t\t\t\t\u003c/head\u003e\n\t\t\t\t\u003cbody\u003e\n\t\t\t\t\t\u003cdiv id=\"app\"\u003e{children}\u003c/div\u003e\n\t\t\t\t\t{scripts}\n\t\t\t\t\u003c/body\u003e\n\t\t\t\u003c/html\u003e\n\t\t)}\n\t/\u003e\n));\n```\n\nFor setting different SSR modes (sync | async | stream), see [`createHandler`](/solid-start/reference/server/create-handler).",
  "url": "https://github.com/solidjs/solid-docs/blob/HEAD/src/routes/solid-start/reference/entrypoints/entry-server.mdx",
  "metadata": {
    "path": "src/routes/solid-start/reference/entrypoints/entry-server.mdx",
    "repo": "solidjs/solid-docs",
    "repo_url": "https://github.com/solidjs/solid-docs.git",
    "size": 1369,
    "source_type": "github"
  },
  "hash": "3dcf519fab3307cc592b2297e42ffd57c4f137f45cb0a4199a1930467f553ed5",
  "timestamp": "2026-02-23T11:43:00.194941821+01:00"
}